/** 
 * 
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/
package org.codehaus.activemq.util;

import junit.framework.TestCase;

import java.net.URI;
import java.util.Map;

/**
 * @version $Revision: 1.1 $
 */
public class URIHelperTest extends TestCase {
    public void testQuery() throws Exception {
        URI uri = new URI("vm://localhost?syncSend=true&foo=bar");

        String query = uri.getQuery();

        assertEquals("query", "syncSend=true&foo=bar", query);

        Map map = URIHelper.parseQuery(uri);
        assertEquals("map size: " + map, 2, map.size());
        assertEquals("map['syncSend'] for " + map, "true", map.get("syncSend"));
        assertEquals("map['foo'] for " + map, "bar", map.get("foo"));
    }
}
